// Defining the height and width
let width = 700, height = 700

// Define the svg element
let svg = d3.select("body").append("svg")
    .attr("width", width)
    .attr("height", height)

// Define a projection for usa
let usaProjection = d3.geoAlbersUsa()
	.scale(700)
  .translate([450, 250])

// Defining a path generator
let pathGenerator = d3.geoPath().projection(usaProjection)

// Defining the dataset into geoJsonUrl
let geoJsonUrl = "https://gist.githubusercontent.com/spiker830/e0d1b7950ced31369c903bed0cead7b1/raw/702c72e0ca5a1be95f84a50a58cfa6d4d6400f3f/us_features.json"
 

// Requesting the data from the url
d3.json(geoJsonUrl).then(geojson => {
	// Rendering the path of recieved data along with all the attributes
  svg.selectAll("path")
    .data(geojson.features)
    .enter()
    .append("path")
    .attr("d", pathGenerator)
    .attr("stroke", "blue")
    .attr("fill", "red") 
})